package com.tofly.xrtycar;

import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.xrtycar.config.FeignConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

@ToflyWebColudApplication
@EnableFeignClients(defaultConfiguration =  FeignConfig.class)
public class XrtyCarApplication {

	public static void main(String[] args) {
		SpringApplication.run(XrtyCarApplication.class, args);
	}

}
