package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author bubble
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_COMMUNICATION_W", resultMap = "communicationMap")
@KeySequence("TF_YWPN_COMMUNICATION_W")
@ApiModel
public class Communication extends Model<Communication> {

    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "电话")
    private String tel;

    @ApiModelProperty(value = "人员")
    private String userName;

    @ApiModelProperty(value = "部门")
    private String deptName;

    @TableField(exist = false)
    @ApiModelProperty(value = "人员或电话模糊查询")
    private String input;

}
