package com.tofly.xrtyschedule.controller;

import com.tofly.common.core.entity.ResultRespone;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: 翘屁老猫
 * @Date: 2020/10/19 14:02
 */
@RestController
@AllArgsConstructor
@RequestMapping("/scheduleTest")
@Api(tags = "定时模块测试接口")
public class TestController {
    @GetMapping
    @ApiOperation("测试")
    public ResultRespone getTest() {
        return ResultRespone.success("测试成功!!!!!!");
    }
}
