package com.tofly.xrtymis.custom.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

/**
 * 工单信息导出
 *
 * @author bubble
 */
@Data
@ContentRowHeight(15)
@HeadRowHeight(15)
@ColumnWidth(20)
public class WorkOrderExport {

    @ExcelProperty("序号")
    private String no;

    @ExcelProperty("工单编号")
    private String gdbh;

    @ExcelProperty("工单类型")
    private String gdlx;

    @ExcelProperty("工单细分1")
    private String gdxf1;

    @ExcelProperty("工单细分2")
    private String gdxf2;

    @ExcelProperty("完成时间")
    private String wcsj;

    @ExcelProperty("客户编号")
    private String khbh;

    @ExcelProperty("客户姓名")
    private String khxm;

    @ExcelProperty("客户地址")
    private String khdz;

    @ExcelProperty("联系电话")
    private String lxdh;

    @ExcelProperty("工单描述")
    private String gdms;

    @ExcelProperty("工单状态")
    private String gdzt;

    @ExcelProperty("当前处理人员")
    private String clry;

    @ExcelProperty("当前处理部门")
    private String clbm;

    @ExcelProperty("优先级别")
    private String yxjb;

    @ExcelProperty("登记人员")
    private String djry;

    @ExcelProperty("登记部门")
    private String djbm;

    @ExcelProperty("登记时间")
    private String djsj;

    @ExcelProperty("受理时限")
    private String slsx;

    @ExcelProperty("派单时间")
    private String pdsj;

    @ExcelProperty("处置人员")
    private String czry;

    @ExcelProperty("处置情况")
    private String czqk;

    @ExcelProperty("是否超时")
    private String sfcs;

    @ExcelProperty("是否驳回")
    private String sfbh;

    @ExcelProperty("回访状态")
    private String hfzt;
    @ExcelProperty("回访时间")
    private String hfsj;
    @ExcelProperty("回访人员")
    private String hfry;

    @ExcelProperty("是否终止")
    private String sfzz;

    @ExcelProperty("故障类型")
    private String gzlx;

    @ExcelProperty("故障原因")
    private String gzyy;

    @ExcelProperty("工单备注")
    private String gdbz;

}
